## ros-kinetic-swarm-behaviors 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swarm_behaviors)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-swarm-behaviors (1.3.0-1xenial) xenial; urgency=high

  * Changed: Rename position library to swarm_behaviors_position
  * Changed: Rename velocity library to swarm_behaviors_velocity

 -- Micha Sende <sende@lakeside-labs.com>  Thu, 02 Jan 2020 23:00:00 -0000

ros-kinetic-swarm-behaviors (1.2.0-1xenial) xenial; urgency=high

  * First public release
  * Added: Package position
  * Added: Package velocity
  * Added: Package uav_optimal_coverage
  * Added: Package ugv_random_walk
  * Changed: Create stack for swarm_behaviors library
  * Changed: Refactor library structure
  * Fixed: Force C++11
  * Changed behavior algorithms: Targets handled by swarm functions library
  * Changed behavior algorithms: Check if movement was successful
  * Changed coverage algorithms: Return state aborted once coverage finishes
  * Changed random coverage algorithms: Read RNG seed from parameter, use random seed otherwise
  * Fixed behavior algorithms: Correctly handle state
  * Fixed coverage algorithms: Returning of target
  * Changed: Split up navigation library, create position library and move parts to abstraction library
  * Added to position: Obstacle detection
  * Changed position: Move obstacle avoidance to abstraction library
  * Changed position: Always use local coordinates
  * Fixed position: Goal computation
  * Changed velocity: Limit velocity for small distances
  * Changed uav_optimal_coverage: Use position setpoint
  * Changed uav_optimal_coverage: Use current position to determine next waypoint
  * Fixed uav_optimal_coverage: Stop moving when behavior finishes
  * Fixed uav_optimal_coverage: Completely traverse path
  * Changed uav_random_direction: UAVs depart in different directions
  * Fixed uav_random_direction: Change direction when obstacle detected
  * Fixed uav_simple_tracking: Handling of target rescued event
  * Contributors: Micha Sende, Omar Morando

 -- Micha Sende <sende@lakeside-labs.com>  Sat, 28 Dec 2019 23:00:00 -0000

ros-kinetic-swarm-behaviors (1.1.0-1xenial) xenial; urgency=high

  * Changed navigation: Store yaw in pose
  * Changed navigation: Keep UAVs at same altitude
  * Changed navigation: Restructure navigation library
  * Fixed uav_random_direction: Computation of sector occupied by obstacles and other UAVs
  * Contributors: Micha Sende

 -- Micha Sende <sende@lakeside-labs.com>  Sun, 11 Nov 2018 23:00:00 -0000

ros-kinetic-swarm-behaviors (1.0.0-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: Micha Sende

 -- Micha Sende <sende@lakeside-labs.com>  Mon, 29 Oct 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-swarm-behaviors
Section: misc
Priority: optional
Maintainer: Micha Sende <sende@lakeside-labs.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: https://wiki.ros.org/swarm_behaviors
Standards-Version: 3.9.2

Package: ros-kinetic-swarm-behaviors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-swarm-behaviors-position, ros-kinetic-swarm-behaviors-velocity, ros-kinetic-uav-local-coverage, ros-kinetic-uav-optimal-coverage, ros-kinetic-uav-random-direction, ros-kinetic-uav-simple-tracking, ros-kinetic-ugv-random-walk
Description: The swarm behaviors library contains implementations of swarm algorithms.
 It is part of the swarm library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-swarm-behaviors//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
